Bug 1299865 - hard to inspect html
hard to inspect html
Status: NEW
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jessica Forrester
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 07:42 EST by Aleksandar Kostadinov
Modified: 2018-01-30 21:53 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example deployment list (51.41 KB, text/html)
2016-01-19 07:42 EST, Aleksandar Kostadinov
no flags Details

  None (edit)
Description Aleksandar Kostadinov 2016-01-19 07:42:50 EST
Created attachment 1116167 [details]
example deployment list

Description of problem:
QE team needs to access different elements from web console to verify web pages contain proper information. This is hard and unreliable to do without good attributes to refer to the HTML elements.

For example, to find the table containing deployments (see attached HTML), one has to refer to text content (at least I don't see any other good option).

> //table[descendant::th[.='Deployment']]

Ideally that table will have an attribute identifying it uniquely in the page html. Referring to text is unreliable also because in the future the page might be translated and then the above xpath would break.

Please take this bug as a request to add some identification to the said table as well a request to be more thorough setting attributes to help with web testing. Or perhaps you can advice us how to better navigate through page elements if we're missing the point of current design.

Version-Release number of selected component (if applicable):
3.1.1.4

How reproducible:
always

Steps to Reproduce:
1. create deployments
2. list deployments in web console
Comment 1 Jessica Forrester 2016-01-19 09:42:34 EST
Will try to keep it in mind for the new features.  Other than table identifiers, are there other existing elements you'd like to see identifiable?
Comment 2 yapei 2016-01-20 06:33:26 EST
Currently, tables are in high priority, will record our request here if found other element need to be identifiable in the future
Comment 3 yapei 2016-05-24 06:38:09 EDT
Currently, it would be better if add id/name attribute for these elements:

1) Create Route on /console/<project>/browse/routes page
2) Add to Project on Overview pages
Comment 4 Aleksandar Kostadinov 2016-05-24 09:59:25 EDT
Another thing is that if we want to ever release an internationalized web site, it won't be testable without universal existence of id/name attributes. Not sure what framework we are using but as a rule IMO all buttons, tables and even cells need to have proper id/name.

e.g. see the table "Summarize time (including time for bugs blocking this bug)" above in the page. It has all cells labeled so that one can easily refer to them.
Comment 5 Yanping Zhang 2016-05-24 22:50:21 EDT
Request id/name for element:
1.On setting page, when created resource quota,such as "Not Terminating" type scope, it's better identify the 'div' element for 
Scopes:
Not Terminating

Note You need to log in before you can comment on or make changes to this bug.